JcaPEMKeyConverter (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.openssl.jcajce

## Class JcaPEMKeyConverter

- java.lang.Object
- - org.bouncycastle.openssl.jcajce.JcaPEMKeyConverter

-     public class JcaPEMKeyConverter
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JcaPEMKeyConverter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.security.KeyPair` | `getKeyPair(PEMKeyPair keyPair)`
    `java.security.PrivateKey` | `getPrivateKey(org.bouncycastle.asn1.pkcs.PrivateKeyInfo privateKeyInfo)`
    `java.security.PublicKey` | `getPublicKey(org.bouncycastle.asn1.x509.SubjectPublicKeyInfo publicKeyInfo)`
    `JcaPEMKeyConverter` | `setProvider(java.security.Provider provider)`
    `JcaPEMKeyConverter` | `setProvider(java.lang.String providerName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JcaPEMKeyConverter

          public JcaPEMKeyConverter()

  - ### Method Detail

    - #### setProvider

          public JcaPEMKeyConverter setProvider(java.security.Provider provider)

    - #### setProvider

          public JcaPEMKeyConverter setProvider(java.lang.String providerName)

    - #### getKeyPair

          public java.security.KeyPair getKeyPair(PEMKeyPair keyPair)
                                           throws PEMException

      Throws:
        `PEMException`

    - #### getPublicKey

          public java.security.PublicKey getPublicKey(org.bouncycastle.asn1.x509.SubjectPublicKeyInfo publicKeyInfo)
                                               throws PEMException

      Throws:
        `PEMException`

    - #### getPrivateKey

          public java.security.PrivateKey getPrivateKey(org.bouncycastle.asn1.pkcs.PrivateKeyInfo privateKeyInfo)
                                                 throws PEMException

      Throws:
        `PEMException`